%global commit 41bdc6a32059d6b241bd891bb70d0d9ee14dc4c6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           IQmol
Version:        2.5.1
Release:        2%{?dist}
Summary:        A free open-source molecular editor and visualization package
Group:          Applications/Engineering
License:        BSD and GPLv2+ and GPLv3+
URL:            http://iqmol.org
Source0:        https://github.com/nutjunkie/IQmol/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Build in Fedora
Patch0:         IQmol-2.5.1-fedora.patch
# Patch in correct fragment and QChem interface setting directory
Patch1:         IQmol-2.5.1-fragdir.patch
# Add missing includes
Patch2:         IQmol-2.5.1-includes.patch
# Fix compile order
Patch3:         IQmol-2.5.1-uiorder.patch
# Don't mess with OpenBabel's directories
Patch4:         IQmol-2.5.1-openbabel.patch

BuildRequires:  qt5-qtbase-devel
BuildRequires:  gcc-gfortran
BuildRequires:  boost-devel
BuildRequires:  openbabel-devel
BuildRequires:  openssl-devel
BuildRequires:  libssh2-devel
BuildRequires:  libQGLViewer-qt5-devel
BuildRequires:  gl2ps-devel
BuildRequires:  desktop-file-utils
BuildRequires:  OpenMesh-devel
BuildRequires:  QMsgBox-qt5-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mesa-libGL-devel

%description
IQmol is a free open-source molecular editor and visualization
package. It offers a range of features including a molecular editor,
surface generation (orbitals and densities) and animations
(vibrational modes and reaction pathways).

%package samples
Summary:       Sample structures for IQmol
BuildArch:     noarch

%description samples
This package contains samples for IQmol.

%prep
%setup -q -n IQmol-%{commit}
%patch0 -p1 -b .fedora
%patch1 -p1 -b .fragdir
%patch2 -p1 -b .includes
%patch3 -p1 -b .uiorder
%patch4 -p1 -b .openbabel
# Get rid of bundled gl2ps
rm src/Old/gl2ps.{h,C}
# and of QMsgBox
rm src/Util/QMsgBox.{h,C}


%build
pushd src/Main
gfortran %{optflags} -c symmol.f90
popd

pushd src
%{_qt5_qmake} IQmol.pro
make %{?_smp_mflags} VERBOSE=1

%install
install -D -p -m 755 IQmol %{buildroot}%{_bindir}/IQmol
install -D -p -m 644 src/Main/resources/IQmol.png %{buildroot}%{_datadir}/pixmaps/IQmol.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ src/Main/resources/IQmol.desktop 
cp -pr share %{buildroot}%{_datadir}/IQmol

%files
%doc LICENSE README
%{_datadir}/applications/IQmol.desktop
%{_datadir}/pixmaps/IQmol.png
%{_datadir}/IQmol/
%{_bindir}/IQmol

%files samples
%doc samples/*

%changelog
* Sun Sep 27 2015 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.5.1-2
- Don't mess with OpenBabel's data directories.

* Tue Sep 22 2015 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.5.1-1.1
- Bump spec due to OpenMesh rebuild.

* Mon Sep 14 2015 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.5.1-1
- Update to 2.5.1.

* Sun Sep 06 2015 Susi Lehtola <susi.lehtola@iki.fi> - 2.3.0-9.1
- Bump spec due to boost rebuild.

* Wed Aug 19 2015 Jonathan Wakely <jwakely@redhat.com> 2.3.0-9
- Add IQmol-2.3.0-serialization.patch to fix build with Boost 1.58.0

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.3.0-7
- rebuild for Boost 1.58

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.3.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 24 2015 Dominik Mierzejewski <rpm@greysector.net> - 2.3.0-4
- Rebuild for openbabel 2.90
- Fix build with gfortran-5.0 (needs to be linked with -lgfortran)

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.3.0-3
- Rebuild for boost 1.57.0

* Wed Sep 17 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-2
- Fix default Q-Chem interface option directory.

* Fri Sep 05 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 02 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-9.1
- Rebuild due to updated QGLViewer.

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.2.0-8
- Rebuild for boost 1.55.0

* Tue Mar 04 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-7
- Fix build against newer QGLViewer in rawhide.

* Wed Dec 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-6
- Review fixes.

* Mon Sep 16 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-5
- Removed bundled QsLog.

* Fri Aug 30 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-4
- Removed bundled QMsgBox.

* Thu Aug 08 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-3
- Fix build on ARM.

* Fri Jul 19 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-2
- Patch to get IQmol to build against OpenBabel 2.3.2.

* Thu Jul 18 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0.

* Fri Jul 12 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-1
- First release.
